import type { ScopeType } from '@typescript-eslint/utils/dist/ts-eslint-scope';
import type { TCamelToKebabCase, TSnakeCaseToKebabCase } from '../types';
declare type TFixedScopeType = {
    [key in Capitalize<TSnakeCaseToKebabCase<ScopeType>>]: TFixedKeys<key>;
};
declare type TFixedKeys<KEY extends string> = KEY extends 'TDZ' ? 'TDZ' : TCamelToKebabCase<Uncapitalize<KEY>>;
export declare const CEScopeType: TFixedScopeType;
export {};
